Check status of Trusted Destinations
curl --request GET \
--url https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/status \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/status"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>"
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Check status of Trusted Destinations
Permissions required: Read vault activity
Check status of Trusted Destinations
GET
/
trusted_destinations
/
{creationRequestId}
/
status
Check status of Trusted Destinations
curl --request GET \
--url https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/status \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/status"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>"
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Idempotent ID provided in the Create Trusted Destination request
Minimum string length:
1Response
Status of the operation identified by the provided idempotentId
A string describing the status of the Trusted Destination creation request
InitiatedGenerating DocusignPending DocuSign SignatureTrusted Destination Operation In ProgressNeeds Quorum ApprovalAnchorage Risk ReviewLinking Trusted DestinationCompleteFailedRejectedCanceledExpired
Was this page helpful?